"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotFoundException = exports.UnauthorizedException = exports.AppSyncError = void 0;
class AppSyncError extends Error {
    constructor(message, type = 'UnknownError', data = null, info = null) {
        super(message);
        this.type = type;
        this.data = data;
        this.info = info;
    }
}
exports.AppSyncError = AppSyncError;
class UnauthorizedException extends AppSyncError {
    constructor(message) {
        super(message || 'You are not authorized to make this call.', 'UnauthorizedException');
    }
}
exports.UnauthorizedException = UnauthorizedException;
class NotFoundException extends AppSyncError {
    constructor(message) {
        super(message || 'Resource not found', 'NotFound');
    }
}
exports.NotFoundException = NotFoundException;
